# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PlyLoader::PlyScalar Class Reference

Used by PlyLoader. More...

`#include <vlPLY.hpp>`

Inheritance diagram for vl::PlyLoader::PlyScalar:

List of all members.

## Public Member Functions

| PlyScalar ()
void | setScalarType (EType type)
EType | scalarType () const
virtual void | read (VirtualFile *file, bool le)
virtual void | read (TextStream *text)
float | getAsFloat () const
int | getAsInt () const

## Protected Attributes

union {
char mChar
unsigned char mUChar
short mShort
unsigned short mUShort
int mInt
unsigned int mUInt
float mFloat
double mDouble
} | mData
EType | mScalarType

## Detailed Description

Used by PlyLoader.

## Constructor & Destructor Documentation

vl::PlyLoader::PlyScalar::PlyScalar | ( |  | ) | `[inline]`

## Member Function Documentation

void vl::PlyLoader::PlyScalar::setScalarType | ( | EType | type | ) | `[inline]`

EType vl::PlyLoader::PlyScalar::scalarType | ( |  | ) | const`[inline]`

void PlyLoader::PlyScalar::read | ( | VirtualFile * | file,
|  | bool | le |
| ) |  |  | `[virtual]`

Implements vl::PlyLoader::PlyPropertyAbstract.

void PlyLoader::PlyScalar::read | ( | TextStream * | text | ) | `[virtual]`

Implements vl::PlyLoader::PlyPropertyAbstract.

float PlyLoader::PlyScalar::getAsFloat | ( |  | ) | const

int PlyLoader::PlyScalar::getAsInt | ( |  | ) | const

## Member Data Documentation

char vl::PlyLoader::PlyScalar::mChar

unsigned char vl::PlyLoader::PlyScalar::mUChar

short vl::PlyLoader::PlyScalar::mShort

unsigned short vl::PlyLoader::PlyScalar::mUShort

int vl::PlyLoader::PlyScalar::mInt

unsigned int vl::PlyLoader::PlyScalar::mUInt

float vl::PlyLoader::PlyScalar::mFloat

double vl::PlyLoader::PlyScalar::mDouble

union { ... } vl::PlyLoader::PlyScalar::mData`[protected]`

EType vl::PlyLoader::PlyScalar::mScalarType`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.